de.vc.jfo.rtf

## Class RTFImageData

- java.lang.Object
- - de.vc.jfo.rtf.RTFImageData

-     public class RTFImageData
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TYPE_ENHANCED_METAFILE`
    `static int` | `TYPE_JPG`
    `static int` | `TYPE_PNG`
    `static int` | `TYPE_UNKNOWN`
    `static int` | `TYPE_WINDOWS_METAFILE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RTFImageData()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCropBottom()`
    `int` | `getCropLeft()`
    `int` | `getCropRight()`
    `int` | `getCropTop()`
    `int` | `getDesiredHeight()`
    `int` | `getDesiredWidth()`
    `Measure` | `getDisplayHeight()`
    `Measure` | `getDisplayWidth()`
    `double` | `getScaleX()`
    `double` | `getScaleY()`
    `static int` | `getTYPE_ENHANCED_METAFILE()`
    `static int` | `getTYPE_JPG()`
    `static int` | `getTYPE_PNG()`
    `static int` | `getTYPE_UNKNOWN()`
    `static int` | `getTYPE_WINDOWS_METAFILE()`
    `int` | `getType()`
    `java.lang.String` | `getUniqueIdentifier()`
    `void` | `setCropBottom(int cropBottom)`
    `void` | `setCropLeft(int cropLeft)`
    `void` | `setCropRight(int cropRight)`
    `void` | `setCropTop(int cropTop)`
    `void` | `setDesiredHeight(int desiredHeight)`
    `void` | `setDesiredWidth(int desiredWidth)`
    `void` | `setScaleX(double scaleX)`
    `void` | `setScaleY(double scaleY)`
    `void` | `setType(int type)`
    `void` | `setUniqueIdentifier(java.lang.String uniqueIdentifier)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_UNKNOWN

          public static final int TYPE_UNKNOWN

      See Also:
        Constant Field Values

    - #### TYPE_JPG

          public static final int TYPE_JPG

      See Also:
        Constant Field Values

    - #### TYPE_WINDOWS_METAFILE

          public static final int TYPE_WINDOWS_METAFILE

      See Also:
        Constant Field Values

    - #### TYPE_PNG

          public static final int TYPE_PNG

      See Also:
        Constant Field Values

    - #### TYPE_ENHANCED_METAFILE

          public static final int TYPE_ENHANCED_METAFILE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RTFImageData

          public RTFImageData()

  - ### Method Detail

    - #### getScaleX

          public double getScaleX()

    - #### setScaleX

          public void setScaleX(double scaleX)

    - #### getScaleY

          public double getScaleY()

    - #### setScaleY

          public void setScaleY(double scaleY)

    - #### getDesiredWidth

          public int getDesiredWidth()

    - #### setDesiredWidth

          public void setDesiredWidth(int desiredWidth)

    - #### getDesiredHeight

          public int getDesiredHeight()

    - #### setDesiredHeight

          public void setDesiredHeight(int desiredHeight)

    - #### getCropTop

          public int getCropTop()

    - #### setCropTop

          public void setCropTop(int cropTop)

    - #### getCropBottom

          public int getCropBottom()

    - #### setCropBottom

          public void setCropBottom(int cropBottom)

    - #### getCropLeft

          public int getCropLeft()

    - #### setCropLeft

          public void setCropLeft(int cropLeft)

    - #### getCropRight

          public int getCropRight()

    - #### setCropRight

          public void setCropRight(int cropRight)

    - #### getType

          public int getType()

    - #### setType

          public void setType(int type)

    - #### getUniqueIdentifier

          public java.lang.String getUniqueIdentifier()

    - #### setUniqueIdentifier

          public void setUniqueIdentifier(java.lang.String uniqueIdentifier)

    - #### getTYPE_UNKNOWN

          public static int getTYPE_UNKNOWN()

    - #### getTYPE_JPG

          public static int getTYPE_JPG()

    - #### getTYPE_WINDOWS_METAFILE

          public static int getTYPE_WINDOWS_METAFILE()

    - #### getTYPE_PNG

          public static int getTYPE_PNG()

    - #### getTYPE_ENHANCED_METAFILE

          public static int getTYPE_ENHANCED_METAFILE()

    - #### getDisplayWidth

          public Measure getDisplayWidth()

    - #### getDisplayHeight

          public Measure getDisplayHeight()

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.